<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
  <title>Daftar Ulang </title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">    <style type="text/css">
  body, html {
    height: 100%;
    background: #93cefd;
  }

  .card-style{
    padding: 20px;
    border-radius: 16px;
    background: white;
  }
  .card-green{
    background-color: #e6eef5;
    padding: 15px;
    border-radius: 5px;
    border-left: 5px solid #59c28e;
  }

  .card-blue{
    background-color: #e6eef5;
    padding: 15px;
    border-radius: 5px;
    border-left: 5px solid #61a3c9;
  }
  .card-red{
    background-color: #e6eef5;
    padding: 15px;
    border-radius: 5px;
    border-left: 5px solid #fc6258;
  }
  .margin-col{
    margin-top: 10px;
    margin-bottom: 10px;
  }
  .p-comment{
    font-size: 14px;
  }

  .hvr-sweep-to-top {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    position: relative;
    border: none;
    background-color: #59c28e;
    color: white;
    border-radius: 14px;
    text-decoration: none;
    padding: 7px;
    width: 100%;
    text-align: center;
    height: 40px;
    -webkit-transition-property: color;
    transition-property: color;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
  }
  .hvr-sweep-to-top:before {
    content: "";
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 14px;
    background: #12a677;
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
    -webkit-transition-property: transform;
    transition-property: transform;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
  }
  .hvr-sweep-to-top:hover, .hvr-sweep-to-top:focus, .hvr-sweep-to-top:active {
    color: white;
  }
  .hvr-sweep-to-top:hover:before, .hvr-sweep-to-top:focus:before, .hvr-sweep-to-top:active:before {
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
  }
</style>
</head>

<body>
<div class="main-content">
  <div class="container-fluid">
    <div class="row" style="margin: 40px;">
      <div class="col-md-3 col-xs-12">

      </div>
      <div class="col-md-6 col-xs-12">
        <div class="card-style">
          <div class="row">
            <div class="col-md-12 col-xs-12 text-center">
              <b class="card-title" style="font-size: 30px;">
                Info !!!
              </b>
              <br>
              <span style="color: #b8b8b8;">Daftar ulang terlebih dahulu sebelum pengisian KRS.</span>
              <br>

            </div>
          </div>
          <br>
          <div class="row">
            <div class="col-md-6">

              <button type="button" class="hvr-sweep-to-top" data-bs-toggle="modal" data-bs-target="#exampleModal">
                Mengajukan Cuti
              </button>

              <!-- Modal -->
              <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                  <div class="modal-content">
                    <form th:action="@{/du/cuti/form}" method="post">
                      <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">
                          <b style="font-size: 30px;">
                            Form Pengajuan Cuti
                          </b>
                        </h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                      </div>
                      <div class="modal-body">
                        <div class="form-group">
                          <b>NIM</b>
                          <p th:text="${mahasiswa.nim}">Muhammad Rafizki</p>
                        </div>
                        <div class="form-group">
                          <b>Nama</b>
                          <p th:text="${mahasiswa.nama}">Muhammad Rafizki</p>
                        </div>
                        <div class="form-group">
                          <b>Alasan mengajukan cuti</b>
                          <input type="text" required name="keterangan" class="form-control" style="margin-top: 5px; margin-bottom: 5px;">
                          <p style="color: red">*Cuti akan dikenakan biaya 25% UKT!</p>
                        </div>
                      </div>
                      <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Tutup</button>
                        <button class="btn btn-primary">Ajukan</button>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <form th:action="@{/du/register}" method="post">
                <button class="hvr-sweep-to-top" style="background-color: #61a3c9"> Daftar Ulang</button>
              </form>
              <!--              <a th:href="@{/du/alert}" class="hvr-sweep-to-top" style="background-color: #61a3c9">Daftar Ulang</a>-->
            </div>
          </div>
        </div>
      </div>
      <div class="col-md-3 col-xs-12">

      </div>
    </div>
  </div>
</div>
</body>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
</html>
